%Copyright (c) 2010, Luuk J.G.W. van Wilderen
%
%par_fix_constraints.m

%Make constraint options panel visible

if get(findobj('Tag','par_fix_switch_toggle'),'Value')==1
    set(findobj('Tag','Par_fix_time_text'),'Visible','on');
    set(findobj('Tag','Par_fix_time_box'),'Visible','on');
    set(findobj('Tag','Par_fix_time_zero_toggle'),'Visible','on');
    set(findobj('Tag','Par_fix_OD_offset_toggle'),'Visible','on');
    set(findobj('Tag','Par_fix_IRF_toggle'),'Visible','on');
    set(findobj('Tag','Par_fix_spectra_matrix_text'),'Visible','on');
    set(findobj('Tag','Par_fix_spectra_matrix_box'),'Visible','on');
elseif get(findobj('Tag','par_fix_switch_toggle'),'Value')==0;
    set(findobj('Tag','Par_fix_time_text'),'Visible','off');
    set(findobj('Tag','Par_fix_time_box'),'Visible','off');
    set(findobj('Tag','Par_fix_time_zero_toggle'),'Visible','off');
    set(findobj('Tag','Par_fix_OD_offset_toggle'),'Visible','off');
    set(findobj('Tag','Par_fix_IRF_toggle'),'Visible','off');
    set(findobj('Tag','Par_fix_spectra_matrix_text'),'Visible','off');
    set(findobj('Tag','Par_fix_spectra_matrix_box'),'Visible','off');
end

